Commit 7b86873c authored by Thomas Vander Stichele's avatar Thomas Vander Stichele
Browse files

updates

Original commit message from CVS:
updates
parent c6652654
gst-plugins gst-plugins : plug-ins for GStreamer
plugins for GStreamer
* to develop against uninstalled GStreamer core : * to develop against uninstalled GStreamer core :
add path to gstreamer-uninstalled.pc to PKG_CONFIG_PATH add path to gstreamer-uninstalled.pc to PKG_CONFIG_PATH
or run configure --with-pkg-config-path=(path to gstreamer uninstalled) or run configure --with-pkg-config-path=(path to gstreamer uninstalled)
* to register plugins in source tree * to register plug-ins in source tree
run gst-register --gst-plugin-path=. run gst-register --gst-plugin-path=.
* if a certain plugin doesn't build, then redo configure with * if a certain plug-in doesn't build, then redo configure with
--disable-(plugin) --disable-(plug-in)
to disable it from the build to disable it from the build
* Additional documentation : * Additional documentation :
REQUIREMENTS GStreamer is developed under the terms of the LGPL (see LICENSE file for
supporting libraries for plugins details). Some of our plug-ins however rely on libraries which are available
under other licenses. This means that if you are using an application which
has a non-GPL compatible license (for instance a closed-source application)
with GStreamer, you have to make sure not to use GPL-linked plug-ins.
When using GPL-linked plug-ins, GStreamer is for all practical reasons
under the GPL itself.
The plug-ins which use a GPL library are as follows:
cdparanoia libcdparanoia (http://www.xiph.org/paranoia/)
aasink aalib (http://aa-project.sourceforge.net/aalib/)
xmms libxmms (http://www.xmms.org)
decdvd ac3dec,mpeg2dec (http://linuxvideo.org/mpeg2dec/,http://linuxvideo.org/ac3dec/)a
Plug-ins which use an LGPL library are as follows:
colorspace Hermes (http://www.clanlib.org/hermes/)
httpsrc libghttp (ftp.gnome.org/pub/GNOME/stable/sources/libghttp/)
alsasink alsa (http://alsa-project.org)
arts aRts (http://arts-project.org)
sdlsink libsdl (http://www.libsdl.org)
gnomevfssource gnome-vfs (ftp.gnome.org//pub/GNOME/stable/sources/gnome-vfs)
gnomevfssink gnome-vfs
esdsink libesd (ftp.gnome.org/pub/GNOME/stable/sources/esound)
icastsend libshout (http://www.icecast.org)
lame libmp3lame (http://www.mp3dev.org/mp3/)
gst1394 libraw1394 (http://linux1394.sourceforge.net)
flac libFLAC (http://flac.sourceforge.net)
RTP ortp (http://www.linphone.org/ortp/)
Plug-ins which use a BSD covered library are as follows:
vorbisenc libogg/libvorbis (http://www.xiph.org/ogg/vorbis)
vorbisdec libogg/libvorbis
Plug-ins based on libraries with other free licenses:
xvideosink libXv (MIT X11 / X Consortium license)
gsm libgsm (MIT license http://kbs.cs.tu-berlin.de/~jutta/toast.html)
Plug-ins using non-free libraries:
wincodec win32ddl (http://divx.euro.ru/)
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment